;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Soubor:  bli-blik-1.asm
; Datum:   19.12.2011
; Autor:   Marek Nožka, nozka <@t> spseol <d.t> cz
; Licence: GNU/GPL 
; Úloha:   jednoduché blikání
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

start:
    mov P0,#0F0H ; 4 LED nesvítí, 4 LED svítí
    call del200m ; čekej 200ms 
    mov P0,#00FH ; 4 LED svítí, 4 LED nesvítí
    call del800m ; čekej 800ms 
    jmp start    ; skok na začátek
    jmp start

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;    podprogramy pro zpoždění       
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
del800m: CALL del400m
del400m: CALL del200m
del200m:    ; 200 ms
    MOV	R6, #254d        ; 1CS
        MOV R7, #196d    ; 1CS
            NOP          ; 1CS
            NOP          ;1 SC
            DJNZ R7, $-2 ; 196x4 = 784 SC
        DJNZ R6, $-6     ; 787x254 =  199898 SC
    ; chybí ještě 97 SC
    MOV	R7, #48d
        DJNZ R7, $
    RET                  ; 2CS    

END
