;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Soubor:  sem-tam.asm
; Datum:   02.01.2012 23:06
; Autor:   Marek Nožka, nozka <@t> spseol <d.t> cz
; Licence: GNU/GPL 
; Úloha:   světlo se pohybuje zleva doprava a
;          zprava doleva
; Popis:   ukázka skolků a logických operací
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

ukazatel bit 0 ; symbolické jmeno pro ukazatel směru

; počáteční nastavení
mov A, #01111111b  ; svítí LED vlevo
setb ukazatel      ; pohybuje se doprava

; hlavní smyčka
start:
    call roluj 
    call del100m
    jmp start
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; podprogram posune světlo doleva nebo dobrava
roluj:
    jnb ukazatel, vlevo ; doleva nebo doprava?
    RR A
    jmp posun
vlevo:
    RL A
posun:    
    mov P0, A 
    call smer ; prehodi sme -- poku je to potreba
    RET
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  
; podprogram přehodí směr posunu
smer:
    jnb A.0, negace
    jnb A.7, negace
    RET
negace:
    cpl ukazatel
    RET
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
include delay12MHz.inc   ; definice zpoždění

END
