/*
 * Soubor:  sem-tam.c
 * Datum:   02.01.2012 23:47
 * Autor:   Marek Nožka, nozka <@t> spseol <d.t> cz
 * Licence: GNU/GPL 
 * Úloha: 
 * Popis:   
 ****************************************************/
#include <at89x52.h>

#include "delay12MHz.h"


/* **************************************************
 *               Hlavní program.
 ****************************************************/

#define VLEVO 0
#define VPRAVO 1
void main(void)
{
    __bit smer = VPRAVO;
    unsigned char svetlo = 0b10000000;
    for (;;) {
        /* sviť */
        P0 = ~svetlo;
        /* rotace */
        if (smer == VPRAVO) {
            svetlo = svetlo >> 1;
        } else if (smer == VLEVO) {
            svetlo = svetlo << 1;
        }
        /* prohození směru */
        if (svetlo == 128 || svetlo == 1) {
            smer = !smer;
        }
        /* čekej */
        delay_10m_x(10);
    }
}
