/*
 * Soubor:  7-segment.c
 * Datum:   06.01.2012 12:52
 * Autor:   Marek Nožka, nozka <@t> spseol <d.t> cz
 * Licence: GNU/GPL 
 * Úloha: Zobrazí na 7-segmenotvém displayi čísla 0-9.
 ****************************************************/
#define _ISOC99_SOURCE
#define _GNU_SOURCE
#include <at89x52.h>

#include "delay12MHz.h"

/* ***************    Makra    ******************** */
#define PORT P2


/****************************************************
 *               Hlavní program.
 ****************************************************/
int main(void)
{
    while (1) {
        PORT = 0b11000000;         // 0
        delay_10m_x(80);
        PORT = 0b11111001;         // 1
        delay_10m_x(80);
        PORT = 0b10100100;         // 2
        delay_10m_x(80);
        PORT = 0b10110000;         // 3 
        delay_10m_x(80);
        PORT = 0b10011001;         // 4
        delay_10m_x(80);
        PORT = 0b10010010;         // 5
        delay_10m_x(80);
        PORT = 0b10000010;         // 6
        delay_10m_x(80);
        PORT = 0b11111000;         // 7
        delay_10m_x(80);
        PORT = 0b10000000;         // 8
        delay_10m_x(80);
        PORT = 0b10010000;         // 9
        delay_10m_x(80);
    }
    return 0;
}
